/*

   STReplay.library

   by Olli, dem Grten

   C-Standarddefinitionen

*/

#ifdef LATTICE
#include <proto/streplay.h>
#endif

#ifndef EXEC_LIBRARIES_H
#include <exec/libraries.h>
#endif

#ifndef LIBRARIES_DOS_H
#include <libraries/dos.h>
#endif

#define STREPLAYNAME "streplay.library"
#define STREPLAYVERSION 33
#define STREPLAYREVISION 8

/* the base we build upon... */
struct STReplayBase
{
 struct Library Libnode;
 BPTR strb_Seglist;
 APTR strb_Module;
 LONG strb_Len;
 WORD strb_Running;
};

/* Libfunctions */
LONG LoadModule();
VOID StartSong();
VOID StopSong();
LONG IsRunning();
VOID UnloadModule();
LONG IsModule();

/* Returns from LoadModule() */
#define STLE_NOFILE -1L
#define STLE_NOMEM -2L
#define STLE_OK 0L
